Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.mimetype
Class MimeTypeDetectorConfig

    java.lang.Object
      org.modeshape.common.component.ComponentConfig
          org.modeshape.graph.mimetype.MimeTypeDetectorConfig

All Implemented Interfaces:
  Comparable<ComponentConfig>

    @Immutable
    public class MimeTypeDetectorConfig

extends ComponentConfig

A configuration for a `MimeTypeDetector` component.

Constructor Summary
`MimeTypeDetectorConfig(String name, String description, Class<? extends MimeTypeDetector> clazz)`
`MimeTypeDetectorConfig(String name, String description, Map<String,Object> properties, Class<? extends MimeTypeDetector> clazz)`
`MimeTypeDetectorConfig(String name, String description, Map<String,Object> properties, String classname, String[] classpath)`

Method Summary

Methods inherited from class org.modeshape.common.component.ComponentConfig
`compareTo, equals, getComponentClassname, getComponentClasspath, getComponentClasspathArray, getDescription, getName, getProperties, getTimestamp, hasChanged, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeTypeDetectorConfig

    public MimeTypeDetectorConfig(String name,
                                  String description,
                                  Map<String,Object> properties,
                                  String classname,
                                  String[] classpath)

### MimeTypeDetectorConfig

    public MimeTypeDetectorConfig(String name,
                                  String description,
                                  Map<String,Object> properties,
                                  Class<? extends MimeTypeDetector> clazz)

### MimeTypeDetectorConfig

    public MimeTypeDetectorConfig(String name,
                                  String description,
                                  Class<? extends MimeTypeDetector> clazz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.